Pular para o conteúdo principal
PATCH
/
v1
/
config
/
contexts
/
{contextId}
/
sources
/
{sourceId}
Update a reconciliation source
curl --request PATCH \
  --url https://matcher.sandbox.lerian.net/v1/config/contexts/{contextId}/sources/{sourceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Secondary Bank Account",
  "type": "LEDGER",
  "config": {},
  "feeScheduleId": "019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b"
}
'
{
  "id": "<string>",
  "contextId": "<string>",
  "name": "<string>",
  "type": "LEDGER",
  "config": {},
  "feeScheduleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication (format: "Bearer {token}")

Cabeçalhos

X-Request-Id
string

A unique identifier for tracing the request across services.

X-Idempotency-Key
string

Optional idempotency key for safe retries. Also accepts Idempotency-Key as an alternative header name. If the same key is sent again and the original request was already processed, the cached response is returned with X-Idempotency-Replayed: true.

See Retries and idempotency for details.

Parâmetros de caminho

contextId
string
obrigatório

The unique identifier of the reconciliation context.

sourceId
string
obrigatório

The unique identifier of the reconciliation source.

Corpo

application/json

Source updates

name
string
Maximum string length: 50
Exemplo:

"Secondary Bank Account"

type
enum<string>

Category of data source for reconciliation

Opções disponíveis:
LEDGER,
BANK,
GATEWAY,
CUSTOM
Exemplo:

"LEDGER"

config
object
feeScheduleId
string<uuid>

Fee schedule identifier to associate with this source

Exemplo:

"019c96a0-2b20-7123-9a1b-2c3d4e5f6a7b"

Resposta

Successfully updated source.

The response includes the X-Idempotency-Replayed header.

If the value is false, the request was just processed. If the value is true, the response is a replay of a previously processed request.

See Retries and idempotency for more details.

id
string
contextId
string
name
string
type
enum<string>

Category of data source for reconciliation

Opções disponíveis:
LEDGER,
BANK,
GATEWAY,
CUSTOM
config
object
feeScheduleId
string<uuid>
createdAt
string
updatedAt
string